Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network81.128.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
81.128.0.0
Broadcast address
81.255.255.255
First usable
81.128.0.1
Last usable
81.255.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 51800000 · Integer 1367343104 to 1375731711
Reverse DNS zones
128.81.in-addr.arpa
129.81.in-addr.arpa
130.81.in-addr.arpa
131.81.in-addr.arpa
132.81.in-addr.arpa
133.81.in-addr.arpa
134.81.in-addr.arpa
135.81.in-addr.arpa
136.81.in-addr.arpa
137.81.in-addr.arpa
138.81.in-addr.arpa
139.81.in-addr.arpa
140.81.in-addr.arpa
141.81.in-addr.arpa
142.81.in-addr.arpa
143.81.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01010001.10000000.00000000.0000000081.128.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01010001.10000000.00000000.0000000081.128.0.0
Broadcast01010001.11111111.11111111.1111111181.255.255.255
Split into smaller subnets/20

81.128.0.0/9 makes 2,048 subnets of /20; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
181.128.0.0/2081.128.0.1 to 81.128.15.25481.128.15.2554,094
281.128.16.0/2081.128.16.1 to 81.128.31.25481.128.31.2554,094
381.128.32.0/2081.128.32.1 to 81.128.47.25481.128.47.2554,094
481.128.48.0/2081.128.48.1 to 81.128.63.25481.128.63.2554,094
581.128.64.0/2081.128.64.1 to 81.128.79.25481.128.79.2554,094
681.128.80.0/2081.128.80.1 to 81.128.95.25481.128.95.2554,094
781.128.96.0/2081.128.96.1 to 81.128.111.25481.128.111.2554,094
881.128.112.0/2081.128.112.1 to 81.128.127.25481.128.127.2554,094
981.128.128.0/2081.128.128.1 to 81.128.143.25481.128.143.2554,094
1081.128.144.0/2081.128.144.1 to 81.128.159.25481.128.159.2554,094
1181.128.160.0/2081.128.160.1 to 81.128.175.25481.128.175.2554,094
1281.128.176.0/2081.128.176.1 to 81.128.191.25481.128.191.2554,094
1381.128.192.0/2081.128.192.1 to 81.128.207.25481.128.207.2554,094
1481.128.208.0/2081.128.208.1 to 81.128.223.25481.128.223.2554,094
1581.128.224.0/2081.128.224.1 to 81.128.239.25481.128.239.2554,094
1681.128.240.0/2081.128.240.1 to 81.128.255.25481.128.255.2554,094
1781.129.0.0/2081.129.0.1 to 81.129.15.25481.129.15.2554,094
1881.129.16.0/2081.129.16.1 to 81.129.31.25481.129.31.2554,094
1981.129.32.0/2081.129.32.1 to 81.129.47.25481.129.47.2554,094
2081.129.48.0/2081.129.48.1 to 81.129.63.25481.129.63.2554,094
2181.129.64.0/2081.129.64.1 to 81.129.79.25481.129.79.2554,094
2281.129.80.0/2081.129.80.1 to 81.129.95.25481.129.95.2554,094
2381.129.96.0/2081.129.96.1 to 81.129.111.25481.129.111.2554,094
2481.129.112.0/2081.129.112.1 to 81.129.127.25481.129.127.2554,094
2581.129.128.0/2081.129.128.1 to 81.129.143.25481.129.143.2554,094
2681.129.144.0/2081.129.144.1 to 81.129.159.25481.129.159.2554,094
2781.129.160.0/2081.129.160.1 to 81.129.175.25481.129.175.2554,094
2881.129.176.0/2081.129.176.1 to 81.129.191.25481.129.191.2554,094
2981.129.192.0/2081.129.192.1 to 81.129.207.25481.129.207.2554,094
3081.129.208.0/2081.129.208.1 to 81.129.223.25481.129.223.2554,094
3181.129.224.0/2081.129.224.1 to 81.129.239.25481.129.239.2554,094
3281.129.240.0/2081.129.240.1 to 81.129.255.25481.129.255.2554,094
3381.130.0.0/2081.130.0.1 to 81.130.15.25481.130.15.2554,094
3481.130.16.0/2081.130.16.1 to 81.130.31.25481.130.31.2554,094
3581.130.32.0/2081.130.32.1 to 81.130.47.25481.130.47.2554,094
3681.130.48.0/2081.130.48.1 to 81.130.63.25481.130.63.2554,094
3781.130.64.0/2081.130.64.1 to 81.130.79.25481.130.79.2554,094
3881.130.80.0/2081.130.80.1 to 81.130.95.25481.130.95.2554,094
3981.130.96.0/2081.130.96.1 to 81.130.111.25481.130.111.2554,094
4081.130.112.0/2081.130.112.1 to 81.130.127.25481.130.127.2554,094
4181.130.128.0/2081.130.128.1 to 81.130.143.25481.130.143.2554,094
4281.130.144.0/2081.130.144.1 to 81.130.159.25481.130.159.2554,094
4381.130.160.0/2081.130.160.1 to 81.130.175.25481.130.175.2554,094
4481.130.176.0/2081.130.176.1 to 81.130.191.25481.130.191.2554,094
4581.130.192.0/2081.130.192.1 to 81.130.207.25481.130.207.2554,094
4681.130.208.0/2081.130.208.1 to 81.130.223.25481.130.223.2554,094
4781.130.224.0/2081.130.224.1 to 81.130.239.25481.130.239.2554,094
4881.130.240.0/2081.130.240.1 to 81.130.255.25481.130.255.2554,094
4981.131.0.0/2081.131.0.1 to 81.131.15.25481.131.15.2554,094
5081.131.16.0/2081.131.16.1 to 81.131.31.25481.131.31.2554,094
5181.131.32.0/2081.131.32.1 to 81.131.47.25481.131.47.2554,094
5281.131.48.0/2081.131.48.1 to 81.131.63.25481.131.63.2554,094
5381.131.64.0/2081.131.64.1 to 81.131.79.25481.131.79.2554,094
5481.131.80.0/2081.131.80.1 to 81.131.95.25481.131.95.2554,094
5581.131.96.0/2081.131.96.1 to 81.131.111.25481.131.111.2554,094
5681.131.112.0/2081.131.112.1 to 81.131.127.25481.131.127.2554,094
5781.131.128.0/2081.131.128.1 to 81.131.143.25481.131.143.2554,094
5881.131.144.0/2081.131.144.1 to 81.131.159.25481.131.159.2554,094
5981.131.160.0/2081.131.160.1 to 81.131.175.25481.131.175.2554,094
6081.131.176.0/2081.131.176.1 to 81.131.191.25481.131.191.2554,094
6181.131.192.0/2081.131.192.1 to 81.131.207.25481.131.207.2554,094
6281.131.208.0/2081.131.208.1 to 81.131.223.25481.131.223.2554,094
6381.131.224.0/2081.131.224.1 to 81.131.239.25481.131.239.2554,094
6481.131.240.0/2081.131.240.1 to 81.131.255.25481.131.255.2554,094
6581.132.0.0/2081.132.0.1 to 81.132.15.25481.132.15.2554,094
6681.132.16.0/2081.132.16.1 to 81.132.31.25481.132.31.2554,094
6781.132.32.0/2081.132.32.1 to 81.132.47.25481.132.47.2554,094
6881.132.48.0/2081.132.48.1 to 81.132.63.25481.132.63.2554,094
6981.132.64.0/2081.132.64.1 to 81.132.79.25481.132.79.2554,094
7081.132.80.0/2081.132.80.1 to 81.132.95.25481.132.95.2554,094
7181.132.96.0/2081.132.96.1 to 81.132.111.25481.132.111.2554,094
7281.132.112.0/2081.132.112.1 to 81.132.127.25481.132.127.2554,094
7381.132.128.0/2081.132.128.1 to 81.132.143.25481.132.143.2554,094
7481.132.144.0/2081.132.144.1 to 81.132.159.25481.132.159.2554,094
7581.132.160.0/2081.132.160.1 to 81.132.175.25481.132.175.2554,094
7681.132.176.0/2081.132.176.1 to 81.132.191.25481.132.191.2554,094
7781.132.192.0/2081.132.192.1 to 81.132.207.25481.132.207.2554,094
7881.132.208.0/2081.132.208.1 to 81.132.223.25481.132.223.2554,094
7981.132.224.0/2081.132.224.1 to 81.132.239.25481.132.239.2554,094
8081.132.240.0/2081.132.240.1 to 81.132.255.25481.132.255.2554,094
8181.133.0.0/2081.133.0.1 to 81.133.15.25481.133.15.2554,094
8281.133.16.0/2081.133.16.1 to 81.133.31.25481.133.31.2554,094
8381.133.32.0/2081.133.32.1 to 81.133.47.25481.133.47.2554,094
8481.133.48.0/2081.133.48.1 to 81.133.63.25481.133.63.2554,094
8581.133.64.0/2081.133.64.1 to 81.133.79.25481.133.79.2554,094
8681.133.80.0/2081.133.80.1 to 81.133.95.25481.133.95.2554,094
8781.133.96.0/2081.133.96.1 to 81.133.111.25481.133.111.2554,094
8881.133.112.0/2081.133.112.1 to 81.133.127.25481.133.127.2554,094
8981.133.128.0/2081.133.128.1 to 81.133.143.25481.133.143.2554,094
9081.133.144.0/2081.133.144.1 to 81.133.159.25481.133.159.2554,094
9181.133.160.0/2081.133.160.1 to 81.133.175.25481.133.175.2554,094
9281.133.176.0/2081.133.176.1 to 81.133.191.25481.133.191.2554,094
9381.133.192.0/2081.133.192.1 to 81.133.207.25481.133.207.2554,094
9481.133.208.0/2081.133.208.1 to 81.133.223.25481.133.223.2554,094
9581.133.224.0/2081.133.224.1 to 81.133.239.25481.133.239.2554,094
9681.133.240.0/2081.133.240.1 to 81.133.255.25481.133.255.2554,094
9781.134.0.0/2081.134.0.1 to 81.134.15.25481.134.15.2554,094
9881.134.16.0/2081.134.16.1 to 81.134.31.25481.134.31.2554,094
9981.134.32.0/2081.134.32.1 to 81.134.47.25481.134.47.2554,094
10081.134.48.0/2081.134.48.1 to 81.134.63.25481.134.63.2554,094
10181.134.64.0/2081.134.64.1 to 81.134.79.25481.134.79.2554,094
10281.134.80.0/2081.134.80.1 to 81.134.95.25481.134.95.2554,094
10381.134.96.0/2081.134.96.1 to 81.134.111.25481.134.111.2554,094
10481.134.112.0/2081.134.112.1 to 81.134.127.25481.134.127.2554,094
10581.134.128.0/2081.134.128.1 to 81.134.143.25481.134.143.2554,094
10681.134.144.0/2081.134.144.1 to 81.134.159.25481.134.159.2554,094
10781.134.160.0/2081.134.160.1 to 81.134.175.25481.134.175.2554,094
10881.134.176.0/2081.134.176.1 to 81.134.191.25481.134.191.2554,094
10981.134.192.0/2081.134.192.1 to 81.134.207.25481.134.207.2554,094
11081.134.208.0/2081.134.208.1 to 81.134.223.25481.134.223.2554,094
11181.134.224.0/2081.134.224.1 to 81.134.239.25481.134.239.2554,094
11281.134.240.0/2081.134.240.1 to 81.134.255.25481.134.255.2554,094
11381.135.0.0/2081.135.0.1 to 81.135.15.25481.135.15.2554,094
11481.135.16.0/2081.135.16.1 to 81.135.31.25481.135.31.2554,094
11581.135.32.0/2081.135.32.1 to 81.135.47.25481.135.47.2554,094
11681.135.48.0/2081.135.48.1 to 81.135.63.25481.135.63.2554,094
11781.135.64.0/2081.135.64.1 to 81.135.79.25481.135.79.2554,094
11881.135.80.0/2081.135.80.1 to 81.135.95.25481.135.95.2554,094
11981.135.96.0/2081.135.96.1 to 81.135.111.25481.135.111.2554,094
12081.135.112.0/2081.135.112.1 to 81.135.127.25481.135.127.2554,094
12181.135.128.0/2081.135.128.1 to 81.135.143.25481.135.143.2554,094
12281.135.144.0/2081.135.144.1 to 81.135.159.25481.135.159.2554,094
12381.135.160.0/2081.135.160.1 to 81.135.175.25481.135.175.2554,094
12481.135.176.0/2081.135.176.1 to 81.135.191.25481.135.191.2554,094
12581.135.192.0/2081.135.192.1 to 81.135.207.25481.135.207.2554,094
12681.135.208.0/2081.135.208.1 to 81.135.223.25481.135.223.2554,094
12781.135.224.0/2081.135.224.1 to 81.135.239.25481.135.239.2554,094
12881.135.240.0/2081.135.240.1 to 81.135.255.25481.135.255.2554,094
12981.136.0.0/2081.136.0.1 to 81.136.15.25481.136.15.2554,094
13081.136.16.0/2081.136.16.1 to 81.136.31.25481.136.31.2554,094
13181.136.32.0/2081.136.32.1 to 81.136.47.25481.136.47.2554,094
13281.136.48.0/2081.136.48.1 to 81.136.63.25481.136.63.2554,094
13381.136.64.0/2081.136.64.1 to 81.136.79.25481.136.79.2554,094
13481.136.80.0/2081.136.80.1 to 81.136.95.25481.136.95.2554,094
13581.136.96.0/2081.136.96.1 to 81.136.111.25481.136.111.2554,094
13681.136.112.0/2081.136.112.1 to 81.136.127.25481.136.127.2554,094
13781.136.128.0/2081.136.128.1 to 81.136.143.25481.136.143.2554,094
13881.136.144.0/2081.136.144.1 to 81.136.159.25481.136.159.2554,094
13981.136.160.0/2081.136.160.1 to 81.136.175.25481.136.175.2554,094
14081.136.176.0/2081.136.176.1 to 81.136.191.25481.136.191.2554,094
14181.136.192.0/2081.136.192.1 to 81.136.207.25481.136.207.2554,094
14281.136.208.0/2081.136.208.1 to 81.136.223.25481.136.223.2554,094
14381.136.224.0/2081.136.224.1 to 81.136.239.25481.136.239.2554,094
14481.136.240.0/2081.136.240.1 to 81.136.255.25481.136.255.2554,094
14581.137.0.0/2081.137.0.1 to 81.137.15.25481.137.15.2554,094
14681.137.16.0/2081.137.16.1 to 81.137.31.25481.137.31.2554,094
14781.137.32.0/2081.137.32.1 to 81.137.47.25481.137.47.2554,094
14881.137.48.0/2081.137.48.1 to 81.137.63.25481.137.63.2554,094
14981.137.64.0/2081.137.64.1 to 81.137.79.25481.137.79.2554,094
15081.137.80.0/2081.137.80.1 to 81.137.95.25481.137.95.2554,094
15181.137.96.0/2081.137.96.1 to 81.137.111.25481.137.111.2554,094
15281.137.112.0/2081.137.112.1 to 81.137.127.25481.137.127.2554,094
15381.137.128.0/2081.137.128.1 to 81.137.143.25481.137.143.2554,094
15481.137.144.0/2081.137.144.1 to 81.137.159.25481.137.159.2554,094
15581.137.160.0/2081.137.160.1 to 81.137.175.25481.137.175.2554,094
15681.137.176.0/2081.137.176.1 to 81.137.191.25481.137.191.2554,094
15781.137.192.0/2081.137.192.1 to 81.137.207.25481.137.207.2554,094
15881.137.208.0/2081.137.208.1 to 81.137.223.25481.137.223.2554,094
15981.137.224.0/2081.137.224.1 to 81.137.239.25481.137.239.2554,094
16081.137.240.0/2081.137.240.1 to 81.137.255.25481.137.255.2554,094
16181.138.0.0/2081.138.0.1 to 81.138.15.25481.138.15.2554,094
16281.138.16.0/2081.138.16.1 to 81.138.31.25481.138.31.2554,094
16381.138.32.0/2081.138.32.1 to 81.138.47.25481.138.47.2554,094
16481.138.48.0/2081.138.48.1 to 81.138.63.25481.138.63.2554,094
16581.138.64.0/2081.138.64.1 to 81.138.79.25481.138.79.2554,094
16681.138.80.0/2081.138.80.1 to 81.138.95.25481.138.95.2554,094
16781.138.96.0/2081.138.96.1 to 81.138.111.25481.138.111.2554,094
16881.138.112.0/2081.138.112.1 to 81.138.127.25481.138.127.2554,094
16981.138.128.0/2081.138.128.1 to 81.138.143.25481.138.143.2554,094
17081.138.144.0/2081.138.144.1 to 81.138.159.25481.138.159.2554,094
17181.138.160.0/2081.138.160.1 to 81.138.175.25481.138.175.2554,094
17281.138.176.0/2081.138.176.1 to 81.138.191.25481.138.191.2554,094
17381.138.192.0/2081.138.192.1 to 81.138.207.25481.138.207.2554,094
17481.138.208.0/2081.138.208.1 to 81.138.223.25481.138.223.2554,094
17581.138.224.0/2081.138.224.1 to 81.138.239.25481.138.239.2554,094
17681.138.240.0/2081.138.240.1 to 81.138.255.25481.138.255.2554,094
17781.139.0.0/2081.139.0.1 to 81.139.15.25481.139.15.2554,094
17881.139.16.0/2081.139.16.1 to 81.139.31.25481.139.31.2554,094
17981.139.32.0/2081.139.32.1 to 81.139.47.25481.139.47.2554,094
18081.139.48.0/2081.139.48.1 to 81.139.63.25481.139.63.2554,094
18181.139.64.0/2081.139.64.1 to 81.139.79.25481.139.79.2554,094
18281.139.80.0/2081.139.80.1 to 81.139.95.25481.139.95.2554,094
18381.139.96.0/2081.139.96.1 to 81.139.111.25481.139.111.2554,094
18481.139.112.0/2081.139.112.1 to 81.139.127.25481.139.127.2554,094
18581.139.128.0/2081.139.128.1 to 81.139.143.25481.139.143.2554,094
18681.139.144.0/2081.139.144.1 to 81.139.159.25481.139.159.2554,094
18781.139.160.0/2081.139.160.1 to 81.139.175.25481.139.175.2554,094
18881.139.176.0/2081.139.176.1 to 81.139.191.25481.139.191.2554,094
18981.139.192.0/2081.139.192.1 to 81.139.207.25481.139.207.2554,094
19081.139.208.0/2081.139.208.1 to 81.139.223.25481.139.223.2554,094
19181.139.224.0/2081.139.224.1 to 81.139.239.25481.139.239.2554,094
19281.139.240.0/2081.139.240.1 to 81.139.255.25481.139.255.2554,094
19381.140.0.0/2081.140.0.1 to 81.140.15.25481.140.15.2554,094
19481.140.16.0/2081.140.16.1 to 81.140.31.25481.140.31.2554,094
19581.140.32.0/2081.140.32.1 to 81.140.47.25481.140.47.2554,094
19681.140.48.0/2081.140.48.1 to 81.140.63.25481.140.63.2554,094
19781.140.64.0/2081.140.64.1 to 81.140.79.25481.140.79.2554,094
19881.140.80.0/2081.140.80.1 to 81.140.95.25481.140.95.2554,094
19981.140.96.0/2081.140.96.1 to 81.140.111.25481.140.111.2554,094
20081.140.112.0/2081.140.112.1 to 81.140.127.25481.140.127.2554,094
20181.140.128.0/2081.140.128.1 to 81.140.143.25481.140.143.2554,094
20281.140.144.0/2081.140.144.1 to 81.140.159.25481.140.159.2554,094
20381.140.160.0/2081.140.160.1 to 81.140.175.25481.140.175.2554,094
20481.140.176.0/2081.140.176.1 to 81.140.191.25481.140.191.2554,094
20581.140.192.0/2081.140.192.1 to 81.140.207.25481.140.207.2554,094
20681.140.208.0/2081.140.208.1 to 81.140.223.25481.140.223.2554,094
20781.140.224.0/2081.140.224.1 to 81.140.239.25481.140.239.2554,094
20881.140.240.0/2081.140.240.1 to 81.140.255.25481.140.255.2554,094
20981.141.0.0/2081.141.0.1 to 81.141.15.25481.141.15.2554,094
21081.141.16.0/2081.141.16.1 to 81.141.31.25481.141.31.2554,094
21181.141.32.0/2081.141.32.1 to 81.141.47.25481.141.47.2554,094
21281.141.48.0/2081.141.48.1 to 81.141.63.25481.141.63.2554,094
21381.141.64.0/2081.141.64.1 to 81.141.79.25481.141.79.2554,094
21481.141.80.0/2081.141.80.1 to 81.141.95.25481.141.95.2554,094
21581.141.96.0/2081.141.96.1 to 81.141.111.25481.141.111.2554,094
21681.141.112.0/2081.141.112.1 to 81.141.127.25481.141.127.2554,094
21781.141.128.0/2081.141.128.1 to 81.141.143.25481.141.143.2554,094
21881.141.144.0/2081.141.144.1 to 81.141.159.25481.141.159.2554,094
21981.141.160.0/2081.141.160.1 to 81.141.175.25481.141.175.2554,094
22081.141.176.0/2081.141.176.1 to 81.141.191.25481.141.191.2554,094
22181.141.192.0/2081.141.192.1 to 81.141.207.25481.141.207.2554,094
22281.141.208.0/2081.141.208.1 to 81.141.223.25481.141.223.2554,094
22381.141.224.0/2081.141.224.1 to 81.141.239.25481.141.239.2554,094
22481.141.240.0/2081.141.240.1 to 81.141.255.25481.141.255.2554,094
22581.142.0.0/2081.142.0.1 to 81.142.15.25481.142.15.2554,094
22681.142.16.0/2081.142.16.1 to 81.142.31.25481.142.31.2554,094
22781.142.32.0/2081.142.32.1 to 81.142.47.25481.142.47.2554,094
22881.142.48.0/2081.142.48.1 to 81.142.63.25481.142.63.2554,094
22981.142.64.0/2081.142.64.1 to 81.142.79.25481.142.79.2554,094
23081.142.80.0/2081.142.80.1 to 81.142.95.25481.142.95.2554,094
23181.142.96.0/2081.142.96.1 to 81.142.111.25481.142.111.2554,094
23281.142.112.0/2081.142.112.1 to 81.142.127.25481.142.127.2554,094
23381.142.128.0/2081.142.128.1 to 81.142.143.25481.142.143.2554,094
23481.142.144.0/2081.142.144.1 to 81.142.159.25481.142.159.2554,094
23581.142.160.0/2081.142.160.1 to 81.142.175.25481.142.175.2554,094
23681.142.176.0/2081.142.176.1 to 81.142.191.25481.142.191.2554,094
23781.142.192.0/2081.142.192.1 to 81.142.207.25481.142.207.2554,094
23881.142.208.0/2081.142.208.1 to 81.142.223.25481.142.223.2554,094
23981.142.224.0/2081.142.224.1 to 81.142.239.25481.142.239.2554,094
24081.142.240.0/2081.142.240.1 to 81.142.255.25481.142.255.2554,094
24181.143.0.0/2081.143.0.1 to 81.143.15.25481.143.15.2554,094
24281.143.16.0/2081.143.16.1 to 81.143.31.25481.143.31.2554,094
24381.143.32.0/2081.143.32.1 to 81.143.47.25481.143.47.2554,094
24481.143.48.0/2081.143.48.1 to 81.143.63.25481.143.63.2554,094
24581.143.64.0/2081.143.64.1 to 81.143.79.25481.143.79.2554,094
24681.143.80.0/2081.143.80.1 to 81.143.95.25481.143.95.2554,094
24781.143.96.0/2081.143.96.1 to 81.143.111.25481.143.111.2554,094
24881.143.112.0/2081.143.112.1 to 81.143.127.25481.143.127.2554,094
24981.143.128.0/2081.143.128.1 to 81.143.143.25481.143.143.2554,094
25081.143.144.0/2081.143.144.1 to 81.143.159.25481.143.159.2554,094
25181.143.160.0/2081.143.160.1 to 81.143.175.25481.143.175.2554,094
25281.143.176.0/2081.143.176.1 to 81.143.191.25481.143.191.2554,094
25381.143.192.0/2081.143.192.1 to 81.143.207.25481.143.207.2554,094
25481.143.208.0/2081.143.208.1 to 81.143.223.25481.143.223.2554,094
25581.143.224.0/2081.143.224.1 to 81.143.239.25481.143.239.2554,094
25681.143.240.0/2081.143.240.1 to 81.143.255.25481.143.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses